# TextYAlignment

## Overview

TextYAlignment is an Enum that specifies the vertical alignment style of text.

This is used in the TextYAlignment properties of TextLabel and TextButton, and determines where text is placed within the element: top, center, and bottom.

## Items

| Name   | Value | Description                           |
| ------ | ----- | ------------------------------------- |
| Top    | 0     | Aligns text to the top.               |
| Center | 1     | Aligns text to the center vertically. |
| Bottom | 2     | Aligns text to the bottom.            |

## See also

{% content-ref url="/pages/CTjPyf13rS5gpJ0zxpMp" %}
[TextButton](/development/api-reference/classes/textbutton.md)
{% endcontent-ref %}

{% content-ref url="/pages/zjNQugnDrMlHZqOsy4VP" %}
[TextLabel](/development/api-reference/classes/textlabel.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/textyalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
